#include <glib-object.h>
#include "gmyth.h"
#include <glib.h>

int
main (int args, const char **argv)
{
    GMythBackendInfo *backend_info;
    g_type_init();
    //g_thread_init(NULL);

    backend_info = gmyth_backend_info_new ();

    gmyth_backend_info_set_hostname (backend_info, "127.0.0.1");
    gmyth_backend_info_set_port (backend_info, 6543);
    gmyth_backend_info_set_status_port (backend_info, 6544);
    
    GTimeVal* start = gmyth_util_string_to_time_val("2006-01-01T00:00");
    GTimeVal* end = gmyth_util_string_to_time_val("2007-01-01T00:00");
    GMythEpg epg;
    epg  = gmyth_http_retrieve_epg(backend_info, start, end, 0, 2, "True");

    GMythRecorded recorded;
    recorded = gmyth_http_retrieve_recorded(backend_info);

    GMythRecorded_Program* program = recorded.programList->data;

    return 0;    
}
